# RestySqlite

WIP online sqlite database managment system

- WebAPI implemented.
- Database abstraction is almost done

## How it will work?

In future I want to make a RESTfull application which will allow
easy database manipulation. 

### Example endpoints

`GET:localhost/api"` - will provide json of tables inside database 

`GET:localhost/table_name/` - will provide json of columns inside table

`GET:localhost/api/table_name/column_name/` - will provide json of objects inside column

`GET:localhost/api/table_name/id` - will provide json object specific to this id 

`POST:localhost/api/sqlcommand` - will allow execute global query to database. For example creating new table.


### Manifest of goals

API **will** provide endpoint for each table and table column inside database.

API **will** allow execute any SQL query.

API **will NOT** protect from SQL injections. It's up to user manage security stuff.

API **will NOT** protect itself via password. It's up to user manage security stuff.